Debian Bug report logs - #583862
ITA: asio -- cross-platform C++ library for network programming

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Simon Richter <sjr@debian.org>

Date: Mon, 31 May 2010 08:03:01 UTC

Owned by: Markus Wanner <markus@bluegap.ch>

Severity: normal

Fixed in version asio/1.4.8-1

Done: Markus Wanner <markus@bluegap.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sjr@debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Mon, 31 May 2010 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
New Bug report received and forwarded. Copy sent to sjr@debian.org, wnpp@debian.org. (Mon, 31 May 2010 08:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: asio -- cross-platform C++ library for network programming
Date: Mon, 31 May 2010 09:59:50 +0200
Package: wnpp
Severity: normal

Hi,

as announced last week, I'd like to find a new maintainer for asio.

The package description is:
 asio is a cross-platform C++ library for network programming that provides
 developers with a consistent asynchronous I/O model using a modern C++
 approach. It has recently been accepted into Boost.

The prospective new maintainer will need significant C++ skills, given
that this is a header-only library (i.e. templates and inline
functions) with lots of preprocessor use.

There are currently two open bugs, both of which require changes to the
actual code.

As the package also exists within Boost (albeit in a different
namespace), it may be worth considering creating a metapackage that
pulls in the required packages from Boost and redirects the namespace
appropriately; this should of course be coordinated with upstream.

   Simon




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Sat, 14 Apr 2012 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 14 Apr 2012 16:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 583862@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: 583862@bugs.debian.org
Cc: sjr@debian.org
Subject: ITA: asio -- cross-platform C++ library for network programming
Date: Sat, 14 Apr 2012 18:38:39 +0200
retitle 583862 ITA: asio -- cross-platform C++ library for network
programming
owner 583862 !
thanks

Hello Simon,

as a happy user of asio and contributor to monotone, I think I can offer
the required C++ experience. I'm a newbie WRT packaging for Debian
proper, but fiddled with quite some packages for private or business
use. And I think asio might be a good start for me to package for Debian.

I've just commented on the two outstanding bugs on asio and plan to
package a new upstream release (1.4.8). I'd appreciate if you could act
as a sponsor for that.

Regards

Markus




Changed Bug title to 'ITA: asio -- cross-platform C++ library for network' from 'RFA: asio -- cross-platform C++ library for network programming' Request was from Markus Wanner <markus@bluegap.ch> to control@bugs.debian.org. (Sat, 14 Apr 2012 18:30:10 GMT) Full text and rfc822 format available.

Owner recorded as Markus Wanner <markus@bluegap.ch>. Request was from Markus Wanner <markus@bluegap.ch> to control@bugs.debian.org. (Sat, 14 Apr 2012 18:30:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: asio -- cross-platform C++ library for network programming' from 'ITA: asio -- cross-platform C++ library for network' Request was from Markus Wanner <markus@bluegap.ch> to control@bugs.debian.org. (Mon, 16 Apr 2012 06:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Thu, 10 May 2012 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 10 May 2012 19:51:06 GMT) Full text and rfc822 format available.

Message #21 received at 583862@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: 583862@bugs.debian.org
Subject: heads up
Date: Thu, 10 May 2012 21:48:32 +0200
As a friendly reminder for Simon and for information to others
interested: I uploaded asio-1.4.8 to mentors:

    http://mentors.debian.net/package/asio




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Wanner <markus@bluegap.ch>:
Bug#583862; Package wnpp. (Tue, 11 Dec 2012 01:03:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Wanner <markus@bluegap.ch>. (Tue, 11 Dec 2012 01:03:26 GMT) Full text and rfc822 format available.

Message #26 received at 583862@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 583862@bugs.debian.org
Cc: control@bugs.debian.org
Subject: asio: changing back from ITA to O
Date: Tue, 11 Dec 2012 01:00:33 +0000
retitle 583862 O: asio -- cross-platform C++ library for network programming
noowner 583862
tag 583862 - pending
thanks

Hi,

This is an automatic email to change the status of asio back from ITA
(Intent to Adopt) to O (Orphaned), because this bug hasn't seen any activity
during the last 6 months.

If you are still interested in adopting asio, please send a mail to
<control@bugs.debian.org> with:

 retitle 583862 ITA: asio -- cross-platform C++ library for network programming
 owner 583862 !
 thanks

However, it is not recommended to keep ITA for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
adopting the package. It is also a good idea to document your progress on this
ITA from time to time, by mailing <583862@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Frank, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'O: asio -- cross-platform C++ library for network programming' from 'ITA: asio -- cross-platform C++ library for network programming' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:04:49 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Markus Wanner <markus@bluegap.ch>. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:04:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Fri, 22 Feb 2013 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 22 Feb 2013 09:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 583862@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 583862@bugs.debian.org,markus@bluegap.ch
Subject: asio Debian packaging
Date: Fri, 22 Feb 2013 10:53:10 +0100
[Message part 1 (text/plain, inline)]
Hi Markus,

Thanks for uploading asio 1.4.8 to mentors, has anybody else followed up with you about sponsoring this package?

I am also based in Switzerland, I use asio as part of the resiprocate-turn-server package, which is essential for WebRTC.

The old version, 1.4.1, doesn't work with clang and it might be inadvertantly released as part of wheezy

Regards,

Daniel
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Fri, 22 Feb 2013 10:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 22 Feb 2013 10:12:06 GMT) Full text and rfc822 format available.

Message #40 received at 583862@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: 583862@bugs.debian.org
Subject: Re: asio Debian packaging
Date: Fri, 22 Feb 2013 11:05:42 +0100
Daniel,

On 02/22/2013 10:53 AM, Daniel Pocock wrote:
> Thanks for uploading asio 1.4.8 to mentors, has anybody else followed up
> with you about sponsoring this package?

Nope, I'll ping mentors about it. Or are you a Debian Developer who
could sponsor this package?

> I am also based in Switzerland, I use asio as part of the
> resiprocate-turn-server package, which is essential for WebRTC.

As a work-around: can you use the boost based asio package? Or do you
rely on the non-boost variant?

Regards

Markus Wanner



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Fri, 22 Feb 2013 10:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 22 Feb 2013 10:18:06 GMT) Full text and rfc822 format available.

Message #45 received at 583862@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Markus Wanner <markus@bluegap.ch>,sgodin@sipspectrum.com
Cc: 583862@bugs.debian.org
Subject: Re: asio Debian packaging
Date: Fri, 22 Feb 2013 11:15:06 +0100
[Message part 1 (text/plain, inline)]

Markus Wanner <markus@bluegap.ch> wrote:

>Daniel,
>
>On 02/22/2013 10:53 AM, Daniel Pocock wrote:
>> Thanks for uploading asio 1.4.8 to mentors, has anybody else followed
>up
>> with you about sponsoring this package?
>
>Nope, I'll ping mentors about it. Or are you a Debian Developer who
>could sponsor this package?

Yes, I am a DD and can sponsor this, but please feel free to communicate things through mentors and CC myself as sometimes other people can respond more quickly or more precisely

>
>> I am also based in Switzerland, I use asio as part of the
>> resiprocate-turn-server package, which is essential for WebRTC.
>
>As a work-around: can you use the boost based asio package? Or do you
>rely on the non-boost variant?
>
reTurn uses boost as well, I'm not sure of the exact reason for using standalone asio, I've CC'd Scott in case he can comment


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Fri, 22 Feb 2013 14:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 22 Feb 2013 14:39:07 GMT) Full text and rfc822 format available.

Message #50 received at 583862@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: 583862@bugs.debian.org
Subject: ITA: asio -- cross-platform C++ library for network programming
Date: Fri, 22 Feb 2013 15:36:09 +0100
retitle 583862 ITA: asio -- cross-platform C++ library for network
programming
owner 583862 !
thanks

Hi,

I've uploaded asio-1.4.8 to mentors, again:
  https://mentors.debian.net/package/asio

Regards

Markus



Changed Bug title to 'ITA: asio -- cross-platform C++ library for network' from 'O: asio -- cross-platform C++ library for network programming' Request was from Markus Wanner <markus@bluegap.ch> to control@bugs.debian.org. (Fri, 22 Feb 2013 14:54:05 GMT) Full text and rfc822 format available.

Owner recorded as Markus Wanner <markus@bluegap.ch>. Request was from Markus Wanner <markus@bluegap.ch> to control@bugs.debian.org. (Fri, 22 Feb 2013 14:54:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: asio -- cross-platform C++ library for network programming' from 'ITA: asio -- cross-platform C++ library for network' Request was from Markus Wanner <markus@bluegap.ch> to control@bugs.debian.org. (Fri, 22 Feb 2013 15:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Wanner <markus@bluegap.ch>:
Bug#583862; Package wnpp. (Fri, 22 Feb 2013 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Wanner <markus@bluegap.ch>. (Fri, 22 Feb 2013 19:21:03 GMT) Full text and rfc822 format available.

Message #61 received at 583862@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: pkg-boost-devel@lists.alioth.debian.org, sjr@debian.org, markus@bluegap.ch
Cc: 583862@bugs.debian.org
Subject: standalone asio package into pkg-boost
Date: Fri, 22 Feb 2013 20:19:33 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256



Hi,

I'd like to join the pkg-boost team, I can't promise too much help,
but I'd like to help Markus get involved with packaging asio
(currently orphaned).  He has tried uploading to mentors several times:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=583862

asio has a close relationship with boost as it can be used standalone
or as an add-on for boost or the built in version with boost

I've also created a git VCS for tracking the asio package, it is
currently under collab-maint but I'd like to move it under pkg-boost
control.  Can one of the pkg-boost admins please enable git through
alioth?
https://alioth.debian.org/scm/?group_id=30321

Markus, I'm not sure how far down the process you are, but can you do
the following:

- - if your PGP key is already signed by any DDs, could you send a
signed email to all of us (reply to this email)?

- - if you haven't got any signatures, then I can meet in Zurich or
somewhere else mutually convenient and then I can sign your key, there
are other DDs in Zurich and Winterthur too so you can get signatures

- - could you please request a guest account on alioth:
      https://alioth.debian.org/account/register.php

- - and once you have the guest account, if pkg-boost are keen to have
us join them, you can click here:
https://alioth.debian.org/project/request.php?group_id=30321

and if not, I can send a request to give your account access rights on
collab-maint

- - and joining the pkg-boost mailing list is a separate step:
http://lists.alioth.debian.org/mailman/listinfo/pkg-boost-devel

- - there is a script here:
http://anonscm.debian.org/gitweb/?p=collab-maint/asio.git;a=tree;f=debian/scripts;hb=HEAD

that will fetch all 1.4.x releases for import.  I got up to 1.4.3
which requires a manual correction upon merging.  The procedure to
import them:

  mkdir ~/ws/asio-deb
  cd ~/ws/asio-deb
  git clone git://git.debian.org/git/collab-maint/asio.git
  asio/debian/scripts/downloads.sh
  cd asio
  git-import-orig -u 1.4.3 ../asio_1.4.3.orig.tar.gz
    (... resolve any issue, finish the merge ...)
  git-import-orig -u 1.4.4 ../asio_1.4.4.orig.tar.gz
  ...
  ...

It's better to import the intermediate packages rather than just
importing 1.4.8, because you won't be able to import them easily after
1.4.8

Regards,

Daniel

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJRJ8TFAAoJEOm1uwJp1aqDsd4QAJ/uByHed4mqWdBwkPKkbsIy
mH2/ikV2ApRRN0xEE0Ir41RrAjm3AjJxVQUf2XyWYtWn2jIZC6Ab6iWG5QQEDGb7
T2ll4fh7iFap0WiFn+zkfvut1/Fq8spoPO7E5W7fQmcNH6eUswh/Avg80S9La2DF
8yJykHtJ3kFqPW6P83K3m5XvLlEZck8fz7GbKhDTnK7l52ZsUoV9xjB8XIE2iEH5
pgBxBwq7UQqNnPzVP2u2BtSGuDe+FnCk1VjlD6nedAZRYH4NQ9Xt3OYE0di7V6Ga
SCcmvDGrWfkrv8b4aXJpP6B1ew0hwFEtaLALHk3lH9DHtQCktEl771wIlWiOdmHf
JthdECC+g1uPVOUDLN/HACTmikodI6mvpWSZibYvSe30Gq1WkWNMV3f4HxFHitPn
rYbV8pRP3F3Wviy/KJbjKErOpOdq5eG5TTLSk5us2zO96t51vVJH/wLX16z+NPs9
wM8c6xaHDHDH50mv8qtO4TfWoEXdIIJL16u3Bx9XdZEM2bHtIRwLNqH6actkhaP0
c0w6BMJo7XONNgyNyKRHiGjtTBaovzovWSIAoM7+ro/rJQGGdeLjK893d2cZKjMU
DKcv2EUwNNKsBcFM0kWuwS9VwjQk5t73DNjF01Yei4HNPa3fb45BmrCrDM4RWJS/
T8jllN4IBkDH8meEZrJJ
=8Jsm
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Fri, 22 Feb 2013 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 22 Feb 2013 19:39:03 GMT) Full text and rfc822 format available.

Message #66 received at 583862@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: Daniel Pocock <daniel@pocock.com.au>, 583862@bugs.debian.org
Cc: pkg-boost-devel@lists.alioth.debian.org, sjr@debian.org
Subject: Re: Bug#583862: standalone asio package into pkg-boost
Date: Fri, 22 Feb 2013 20:37:35 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Daniel,

On 02/22/2013 08:19 PM, Daniel Pocock wrote:
> I've also created a git VCS for tracking the asio package, it is 
> currently under collab-maint

Cool.

> but I'd like to move it under pkg-boost control.  Can one of the
> pkg-boost admins please enable git through alioth?

Uh.. given the point of the separate asio package is to be independent
from boost, does it really make sense to join the boost packaging team
in Debian?

It might well make sense - maybe not technically, but from an
organizational perspective. I just want to check.

> Markus, I'm not sure how far down the process you are, but can you
> do the following:
> 
> - - if your PGP key is already signed by any DDs, could you send a 
> signed email to all of us (reply to this email)?

I've got some signatures, but I'm not sure if any is from a DD. How do
I check? (Email should be signed).

> - - and joining the pkg-boost mailing list is a separate step: 
> http://lists.alioth.debian.org/mailman/listinfo/pkg-boost-devel

Done.

> - - there is a script here: 
> http://anonscm.debian.org/gitweb/?p=collab-maint/asio.git;a=tree;f=debian/scripts;hb=HEAD
>
>  that will fetch all 1.4.x releases for import.  I got up to 1.4.3 
> which requires a manual correction upon merging.  The procedure to 
> import them:
> 
> mkdir ~/ws/asio-deb cd ~/ws/asio-deb git clone
> git://git.debian.org/git/collab-maint/asio.git 
> asio/debian/scripts/downloads.sh cd asio git-import-orig -u 1.4.3
> ../asio_1.4.3.orig.tar.gz (... resolve any issue, finish the merge
> ...) git-import-orig -u 1.4.4 ../asio_1.4.4.orig.tar.gz

I'm not quite following. What problem are you trying to solve, here?
Want some history of the asio code in your git repo?

> It's better to import the intermediate packages rather than just 
> importing 1.4.8, because you won't be able to import them easily
> after 1.4.8

Note that I've tried to clean up asio-1.4.1 and resolve existing bugs,
first. However, that didn't work out and caused more problems than it
solved.

With Simon, we decided to not care about earlier versions and just
continue with packaging 1.4.8.

Regards

Markus
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEAREDAAYFAlEnyO0ACgkQsPwMloDjyo/fEgCfRrInaUkrNXuI75sXsjmjhfPy
/QsAoIMmw0Bt3ePCFqiGGBJp3sCm6Les
=toT/
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Wanner <markus@bluegap.ch>:
Bug#583862; Package wnpp. (Fri, 22 Feb 2013 23:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Wanner <markus@bluegap.ch>. (Fri, 22 Feb 2013 23:30:04 GMT) Full text and rfc822 format available.

Message #71 received at 583862@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Markus Wanner <markus@bluegap.ch>
Cc: 583862@bugs.debian.org, pkg-boost-devel@lists.alioth.debian.org, sjr@debian.org
Subject: Re: Bug#583862: standalone asio package into pkg-boost
Date: Sat, 23 Feb 2013 00:26:46 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256



On 22/02/13 20:37, Markus Wanner wrote:
> Daniel,
> 
> On 02/22/2013 08:19 PM, Daniel Pocock wrote:
>> I've also created a git VCS for tracking the asio package, it is
>>  currently under collab-maint
> 
> Cool.
> 
>> but I'd like to move it under pkg-boost control.  Can one of the 
>> pkg-boost admins please enable git through alioth?
> 
> Uh.. given the point of the separate asio package is to be
> independent from boost, does it really make sense to join the boost
> packaging team in Debian?
> 
> It might well make sense - maybe not technically, but from an 
> organizational perspective. I just want to check.

This won't create any technical connection between the packages.

I just think that as there is so much overlapping code, and it is
likely that some bug fixes will overlap, then there is some
compatibility with the pkg-boost team

>> Markus, I'm not sure how far down the process you are, but can
>> you do the following:
> 
>> - - if your PGP key is already signed by any DDs, could you send
>> a signed email to all of us (reply to this email)?
> 
> I've got some signatures, but I'm not sure if any is from a DD. How
> do I check? (Email should be signed).

You probably need to write a script that extracts all the email
addresses of all the people who signed your key

Then do the same thing to the debian keyring - import the DD keys with
all their email addresses, and then export the email addresses to a
text file

Finally, compare the text files to find out if anything overlaps

>> - - there is a script here: 
>> http://anonscm.debian.org/gitweb/?p=collab-maint/asio.git;a=tree;f=debian/scripts;hb=HEAD
>
>>  that will fetch all 1.4.x releases for import.  I got up to
>> 1.4.3 which requires a manual correction upon merging.  The
>> procedure to import them:
> 
>> mkdir ~/ws/asio-deb cd ~/ws/asio-deb git clone 
>> git://git.debian.org/git/collab-maint/asio.git 
>> asio/debian/scripts/downloads.sh cd asio git-import-orig -u
>> 1.4.3 ../asio_1.4.3.orig.tar.gz (... resolve any issue, finish
>> the merge ...) git-import-orig -u 1.4.4
>> ../asio_1.4.4.orig.tar.gz
> 
> I'm not quite following. What problem are you trying to solve,
> here? Want some history of the asio code in your git repo?

Yes, exactly

Also, if we do persuade the release team to take an updated package in
wheezy, they might only take 1.4.2, not 1.4.8

I notice 1.4.2 has the fix for the issue with clang, for example, so
it would still be a small victory

>> It's better to import the intermediate packages rather than just
>>  importing 1.4.8, because you won't be able to import them
>> easily after 1.4.8
> 
> Note that I've tried to clean up asio-1.4.1 and resolve existing
> bugs, first. However, that didn't work out and caused more problems
> than it solved.
> 
> With Simon, we decided to not care about earlier versions and just 
> continue with packaging 1.4.8.

In any case, you wouldn't `release' all the intermediate versions, and
you wouldn't even mention them in debian/changelog.  If it wasn't for
the merge conflict in 1.4.3, I would have imported them all with a script.

Once you get them into git, they will just be on the `upstream'
branch, in case they are needed for some future purpose.  It can be
convenient to browse the history with gitk too.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJRJ/62AAoJEOm1uwJp1aqD/jUP/10d/doSHhff9Xm0uLJoXtXG
5y63SF7Cl4c20UbCN54jkfPdg+mkq5EwvpmgPe9K/prMHk0w++aBLkj/ftSZhjP6
4pByKKgD3OtP1wSMLSfIEG++/InySChLoSj+yBagVjSPFD5WcUXyzckUyqGf4IrJ
qs5e9U1gyRwq8kfoLSUKPFAmYP4rTQgrNp97gtf46dS31eR3nrx28AvGWxPyyOkQ
w7onftoaMfjp/DlI1W2wxj8lu8j8Uu3NkWa9NW1KuZ/9IQXK0u7OR3rN6M3jZwgz
jFfBl2LGm/fK+rb+dtr96j0wGkbLnIAimipjjrJxOmhcayQzgugw3SJxgIbvY24r
pT0EFlNfUeAke9GCF8HBcpIqMAblhJSwYQoFBnlqS6fA6fR41dyRNL+BOP2ui2NB
XXIeChTD3n+hN8wZqGyZ/bBhwQlxIuoFkDfa8LozL1vplPzdXxFbb1iTJKdvZIRl
tA8XlNgycFCGbYGawT74hesBYN7MAjFgZGaNj9qUYR8sQExIZIh9k2000+91vSxc
nWp9XFfB6qJqv7s0ROYiF3GDMTqfLz1VFNoV0MMOlfMOEgUOz5POJIhJAxHJBXvh
TA04E0rOViFGgijJJAiYQqruEwCbubCkIt66zu8TW47lYuyOx8etFpphGQT1Ym7r
zQ99JdAOlG3PeuoutyO8
=U/V8
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Sat, 23 Feb 2013 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 23 Feb 2013 06:51:03 GMT) Full text and rfc822 format available.

Message #76 received at 583862@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: 583862@bugs.debian.org, pkg-boost-devel@lists.alioth.debian.org, sjr@debian.org
Subject: Re: Bug#583862: standalone asio package into pkg-boost
Date: Sat, 23 Feb 2013 07:48:17 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

On 02/23/2013 12:26 AM, Daniel Pocock wrote:
> This won't create any technical connection between the packages.
> 
> I just think that as there is so much overlapping code, and it is 
> likely that some bug fixes will overlap, then there is some 
> compatibility with the pkg-boost team

Okay. Now, how does the boost team feel about this?

> You probably need to write a script that extracts all the email 
> addresses of all the people who signed your key
> 
> Then do the same thing to the debian keyring - import the DD keys
> with all their email addresses, and then export the email addresses
> to a text file
> 
> Finally, compare the text files to find out if anything overlaps

Hehe.. sure. That's the thing I hoped to exist, already.

> In any case, you wouldn't `release' all the intermediate versions,
> and you wouldn't even mention them in debian/changelog.  If it
> wasn't for the merge conflict in 1.4.3, I would have imported them
> all with a script.

What's the point in having unreleased, and possible not-working
versions in git? (I assume the merge conflicts are against Debian
patches, right?)

Again: I'm not eager to package and test versions older than 1.4.8.
And yes, I tried with 1.4.1. IMO we should just go forward and forget
about older versions. We can still get 1.4.8 to wheezy as a backport,
later on.

If you want to give it a try, I can send you my changes to 1.4.1.

Regards

Markus Wanner
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEAREDAAYFAlEoZicACgkQsPwMloDjyo+BEwCdF8vQ6HYnKjByqDuh898CAjPx
UdwAmgOiQHBreTh37uRgla70/74sTVNP
=ghne
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Sat, 23 Feb 2013 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 23 Feb 2013 08:27:03 GMT) Full text and rfc822 format available.

Message #81 received at 583862@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: Daniel Pocock <daniel@pocock.com.au>
Cc: 583862@bugs.debian.org, pkg-boost-devel@lists.alioth.debian.org, sjr@debian.org
Subject: Re: Bug#583862: standalone asio package into pkg-boost
Date: Sat, 23 Feb 2013 09:22:37 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Daniel,

On 02/23/2013 07:48 AM, I wrote:
> Again: I'm not eager to package and test versions older than
> 1.4.8. And yes, I tried with 1.4.1. IMO we should just go forward
> and forget about older versions. We can still get 1.4.8 to wheezy
> as a backport, later on.

Rethinking this, I realized that we need to maintain some (possibly
old) version for wheezy, anyway.

OTOH we are discussing patch releases, i.e. all of 1.4.x is considered
a "stable release series" by upstream. So one might argue that 1.4.x
is what goes into wheezy, and any release with a newer x needs to go
in wheezy as well - as a bug fix or even security fix.

See for example the 1.4.8 changes:

* Fixed an integer overflow problem that occurs when
  `ip::address_v4::broadcast()` is used on 64-bit platforms.

* Fixed a problem on older Linux kernels (where epoll is used without
  timerfd support) that prevents timely delivery of deadline_timer
  handlers, after the program has been running for some time.

To me, this sounds like fixes that Debian stable (wheezy) users want
to get as well.

I didn't check source code changes to confirm this, though.

Regards

Markus Wanner
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEAREDAAYFAlEofEcACgkQsPwMloDjyo9ncgCbB321atN/GXXeafpHpAujDujC
5l0AnR/JjkI261D2SyqQEqGjJdbBNoD1
=N+eZ
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Wanner <markus@bluegap.ch>:
Bug#583862; Package wnpp. (Sat, 23 Feb 2013 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Wanner <markus@bluegap.ch>. (Sat, 23 Feb 2013 08:39:03 GMT) Full text and rfc822 format available.

Message #86 received at 583862@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Markus Wanner <markus@bluegap.ch>
Cc: 583862@bugs.debian.org, pkg-boost-devel@lists.alioth.debian.org, sjr@debian.org
Subject: Re: Bug#583862: standalone asio package into pkg-boost
Date: Sat, 23 Feb 2013 09:37:28 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256



On 23/02/13 09:22, Markus Wanner wrote:
> Daniel,
> 
> On 02/23/2013 07:48 AM, I wrote:
>> Again: I'm not eager to package and test versions older than 
>> 1.4.8. And yes, I tried with 1.4.1. IMO we should just go
>> forward and forget about older versions. We can still get 1.4.8
>> to wheezy as a backport, later on.
> 
> Rethinking this, I realized that we need to maintain some
> (possibly old) version for wheezy, anyway.
> 
> OTOH we are discussing patch releases, i.e. all of 1.4.x is
> considered a "stable release series" by upstream. So one might
> argue that 1.4.x is what goes into wheezy, and any release with a
> newer x needs to go in wheezy as well - as a bug fix or even
> security fix.
> 
> See for example the 1.4.8 changes:
> 
> * Fixed an integer overflow problem that occurs when 
> `ip::address_v4::broadcast()` is used on 64-bit platforms.
> 
> * Fixed a problem on older Linux kernels (where epoll is used
> without timerfd support) that prevents timely delivery of
> deadline_timer handlers, after the program has been running for
> some time.
> 
> To me, this sounds like fixes that Debian stable (wheezy) users
> want to get as well.
> 
> I didn't check source code changes to confirm this, though.


Sadly, the release team have very strict policies and if the output of
`diff 1.4.1 1.4.8' looks very big, they just might not accept it - or
even worse, they might decide the package is too difficult for Debian
and throw it out

That is why I would be tempted to have the earlier versions in there,
in case we can push for 1.4.2 but not quite stretch to 1.4.8
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJRKH/IAAoJEOm1uwJp1aqDwfwP/26zLJh5OyRZ329zviK119ww
5Mhbr0PHL44wQLiunB6GcCTaUKEMfL44/oz4FSjPcT61pzUwfHG+b/VzzhUnfWRV
0pb22YNmFOcuCwFpQ+3pWi6+4Nlf7AxQgRygW5I2eBM2VMr2vUXnL3sjzlAgkVeZ
prHEsBpsDWpFN2dPJhFAOUiXfi316O3GixWHum+xIpTVLsHIPHyj5XtdyPvqzNwi
a+WhJ5YqqJhvw0Sz3HybuL8qR4nunqwK4e2tT0Yo03EeHM4AbvGEibKk91BQrPNS
OdmiyPch9iSu0GF95Mb0vT8j08s8hD1DWJ88PA6RGu9E3eR+f80LxxfFh5oPbBmx
mHja64WqCjecdEvpLrCJCnLJ7p/wKX9/HAXtEPSNK+ky1SlartAMN2lhzEyr0UMv
dDyoGZxRIDjgDJtTRai2MjK8nlOpWGrXzplYCQOq6sJG8T8Zx+bpDMTNixEwNcM2
6zc8U4A/hmE1cx7Gcl1Y2Lk0sZt69lFmBkj5M524rpjjhZoCsVeP845LcU3aHan4
rLpm661R773XJiIAMJPWrk8ht8Di4UZDDZQ68C92RdnATEq+hmzBCZ5xqpHruft8
p3bEIwC2HV34aEkA4CiqWIaTtzr+PUSkUuRgX6vNA3Sl36M4K8TYEoQsUb9ZOODL
YWtBLb/e5aKHq35kPCBR
=Y2vI
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Wanner <markus@bluegap.ch>:
Bug#583862; Package wnpp. (Sat, 23 Feb 2013 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Wanner <markus@bluegap.ch>. (Sat, 23 Feb 2013 21:09:03 GMT) Full text and rfc822 format available.

Message #91 received at 583862@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: pkg-boost-devel@lists.alioth.debian.org
Cc: Daniel Pocock <daniel@pocock.com.au>, sjr@debian.org, markus@bluegap.ch, 583862@bugs.debian.org
Subject: Re: [pkg-boost-devel] standalone asio package into pkg-boost
Date: Sat, 23 Feb 2013 14:53:28 -0600
On February 22, 2013 01:19:33 PM Daniel Pocock wrote:

> I'd like to join the pkg-boost team, 

That's awesome!  I need all the help I can get.

> I can't promise too much help,

Whatever you can provide would be appreciated.

Later in the thread you mention that the driving goal is to apply fixes to both 
asio and Boost.asio.  That sounds like a good idea in principle and I'm happy 
to grant membership to asio maintainers for this reason (and also for general 
help with boost!).


> I've also created a git VCS for tracking the asio package, it is
> currently under collab-maint but I'd like to move it under pkg-boost
> control.  

To me, collab-maint seems like a fine place to work on asio.  What advantage is 
there to putting asio into pkg-boost?

Regards,
-Steve



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#583862; Package wnpp. (Sat, 02 Mar 2013 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 02 Mar 2013 19:12:03 GMT) Full text and rfc822 format available.

Message #96 received at 583862@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: 583862@bugs.debian.org, Daniel Pocock <daniel@pocock.com.au>
Subject: status
Date: Sat, 02 Mar 2013 20:08:35 +0100
Daniel,

I just pushed a new branch 'revamp' to the git repository for asio on
collab-maint. A separate branch, because I wanted to preserve my 1.4.1-4
version, which matches 1.4.1-3.2 exactly (i.e. delivers the same sets of
files as per debdiff), but does so with revamped rules (debhelper 7,
source format 3.0, etc..). AFAIR pretty much lintian clean.

From there on, I've added every single patch release of asio as a
separate commit. These steps in between build fine and run through the
asio test suite, but aren't tested any further than that.

The head of the branch 'revamp' is at 1.4.8-1, i.e. the most up to date
version of asio. I'd like to merge that onto the 'master' branch.

That version is lintian clean and packaged to the best of my knowledge.
I think asio-1.4.8-1 is ready to land on experimental. (I've also
updated the package to mentors, again, just to keep it up to date there
as well).

Regards

Markus Wanner



Reply sent to Markus Wanner <markus@bluegap.ch>:
You have taken responsibility. (Mon, 04 Mar 2013 21:18:47 GMT) Full text and rfc822 format available.

Notification sent to Simon Richter <sjr@debian.org>:
Bug acknowledged by developer. (Mon, 04 Mar 2013 21:18:47 GMT) Full text and rfc822 format available.

Message #101 received at 583862-close@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: 583862-close@bugs.debian.org
Subject: Bug#583862: fixed in asio 1.4.8-1
Date: Mon, 04 Mar 2013 21:17:41 +0000
Source: asio
Source-Version: 1.4.8-1

We believe that the bug you reported is fixed in the latest version of
asio, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 583862@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Wanner <markus@bluegap.ch> (supplier of updated asio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Mar 2013 17:04:39 +0100
Source: asio
Binary: libasio-dev libasio-doc
Architecture: source all
Version: 1.4.8-1
Distribution: experimental
Urgency: low
Maintainer: Markus Wanner <markus@bluegap.ch>
Changed-By: Markus Wanner <markus@bluegap.ch>
Description: 
 libasio-dev - cross-platform C++ library for network programming
 libasio-doc - documentation for asio C++ library for network programming
Closes: 583862
Changes: 
 asio (1.4.8-1) experimental; urgency=low
 .
   * New upstream release.
   * New maintainer. (Closes: #583862).
   * Switch to dpkg-source 3.0 (quilt) format, splitting patches.
   * Drop the patch for src/Makefile.am, it got applied upstream.
   * Drop the patch for Makefile.am, it isn't necessary anymore.
   * Adjust the SSLv2 disabling patch.
   * Migrate to debhelper 9, revamp the rules. Drop all custom build flags,
     allow parallel builds.
   * Update to standards version 3.9.4. No changes.
   * Watch only releases with even minor version numbers, odd ones seem to
     be non-stable releases.
   * Migrate copyright info to machine readable format.
   * Adjust short description to avoid duplicate.
   * Add Homepage field and new Vcs info.
   * Register HTML documentation with doc-base.
Checksums-Sha1: 
 17d43b3a726b89e0f12fc96f924b61d4bd80e05e 1935 asio_1.4.8-1.dsc
 d5d75c56e25605b246f1db519343bfcb4c2cdf8c 1335918 asio_1.4.8.orig.tar.gz
 5ccce7be7f70ac3d94cafe7ed6f8afb72b3004ab 4626 asio_1.4.8-1.debian.tar.gz
 14df44f68bfdb20f929b1109f482558ccebabdf8 247086 libasio-dev_1.4.8-1_all.deb
 469e68b8b74b49f81d8ef986010b78aba037805b 986138 libasio-doc_1.4.8-1_all.deb
Checksums-Sha256: 
 e8dd841462ff7688c08dea5b4eee2d80e007877512389d3fe9f8eb9f68b7530f 1935 asio_1.4.8-1.dsc
 ab877300b69584e475d31aaaf8ac37d80f6b6788e9024d2a172829b9de0663c2 1335918 asio_1.4.8.orig.tar.gz
 f3ea3694f4940ff5a92d76632e68f99f249ef32fe4e1a8fe0a71628f5b697b50 4626 asio_1.4.8-1.debian.tar.gz
 64c1391691e36c2806c681644c607eb97a14097299410bc75d2af04bf15749c8 247086 libasio-dev_1.4.8-1_all.deb
 27f2ab40beb370ce3354433d6ba1a05d6da3b5aaad07c36184f76045969fbf21 986138 libasio-doc_1.4.8-1_all.deb
Files: 
 4f7184ba12fd3da0d92e53d5b378cfdf 1935 devel optional asio_1.4.8-1.dsc
 0e2ebaa1e5569e415908c8d0ede95044 1335918 devel optional asio_1.4.8.orig.tar.gz
 53cc1898057b4ff7a33b0613e3d60dc7 4626 devel optional asio_1.4.8-1.debian.tar.gz
 ee44e5e170c822f7d81feef6789f1433 247086 libdevel optional libasio-dev_1.4.8-1_all.deb
 f003555b1b90fed648a705fb4b81cbfd 986138 doc optional libasio-doc_1.4.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRNQ3eAAoJENPhc4PPp/8Gt58P/Akz74avidlj52sBbN5YnWLP
yi3cvSqrX7A04UzmfkAXunf9OyZeCqLUp2Na3UcQZSyhSAFgrCEV3XsOxfbR53fc
VO0Uc5+BL1U+jlLmhuz0up3clRFb+9RCtnBpKNji+BwF4s63TrwcCxzT2x5JMszm
347+G6S5vzGjYbqYKYpdSszoTj/EMy1RenovDjbCTJWCVPk9OX+Y3ObvekAoQHXl
kwQGrHq3/4B38b6q/C2iSFgnvlnoblzs+dea/vYCZ92oL56clo+hc+7rXUtW1f1I
UbjH3wTs9Sv+nuBHFfInQd9lsJ238rxvhbH19VKAAu49Rt3iD9sj4Nhzmx4QKAi+
SAXjfdzat/SFqsT3tcXG1bMXvromP2PSg4Xg24bhOypTiup0UPVBlhjWARWcxzXp
CmfFTfGFm4wQXodYcLLWB98pNLB/xyc0bGhyakL30Oobal4q+kN0UbApRBGNb85v
kDwzDPQm6wL4fqOs+DmTzjvQl0IpYBb1R4jb1SsMhunQfHftKwa8pyPeDtBfcjpO
R1GiIpsSMS3wDzLQad1v6YldY6WKEMByfmap7nxdLDwB1Gd/Fb54GyOj/K5vW4LV
cWDcMu/RF1u3/j6OnpEiItXvxqaUuHhvuPEgeCo1OizvTZ4W7l7esyImvN9TjAcf
XtEBdMqkXNJ6QeO1w3G9
=9EwY
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Wanner <markus@bluegap.ch>:
Bug#583862; Package wnpp. (Mon, 04 Mar 2013 21:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Wanner <markus@bluegap.ch>. (Mon, 04 Mar 2013 21:39:06 GMT) Full text and rfc822 format available.

Message #106 received at 583862@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: Markus Wanner <markus@bluegap.ch>
Cc: debian-mentors@lists.debian.org, Daniel Pocock <daniel@pocock.com.au>, 583862-done@bugs.debian.org, 583862@bugs.debian.org
Subject: Re: RFS: asio [O] (#583862)
Date: Mon, 04 Mar 2013 22:37:00 +0100
[Message part 1 (text/plain, inline)]
Hi Markus,

I have uploaded the package with some minor changes (see an attachment).
If you are not agree with them (changelog entries mostly), feel free to
drop them with the future uploads.

Pay attention, (Closes: #583862: did not work in your changelog.
Please, consider the package maintenance under the team.


On 03/04/2013 12:31 PM, Markus Wanner wrote:
>> 3) Changelog-entry #2 is not necessary IMHO.
> 
> Hm..  I merged this into the "New maintainer" line. Is there another
> place to thank the former maintainer? I kind of like these little
> pieces of appreciation. But yeah, it doesn't need to be the changelog.

You can write him an email, if you want. Try to write changelog-entries
shorter: they should not tell the whole life-story.

>> 4) Compat 7 should be better changed to the newer 9 as well as BD
>> in control. It will allow also to inject hardened buildflags.
> 
> I updated to 9.
> 
> Just wondering: wheezy ships with dh 8. Why not keep a lower
> requirement to allow for easier backports? What benefit does a newer
> debhelper compat level give?

dh 9 brings build-flags hardening and multiarch (maybe something else,
not sure).

>> 5) Standards-Version is already 3.9.4
> 
> Corrected. (No changes required.)
              ^^^^^^^^^^^^^^^^^^^
This should be in changelog.

Thanks for contribution.

Anton
[0001-Minor-changes-before-upload.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Apr 2013 07:27:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:49:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.